<xml> </xml>

db4o |

# Blob Methods

The methods of the Blob interface are listed below. For a complete list of Blob interface members, see the Blob Members topic.

#### Public Instance Methods

GetFileName | returns the name of the file the blob was stored to.
GetStatus | returns the status after the last read- or write-operation.
ReadFrom | reads a file into the db4o system and stores it as a blob.
ReadLocal | reads a file into the db4o system and stores it as a blob.
WriteLocal | writes stored blob data to a file.
WriteTo | writes stored blob data to a file.

#### See Also

Blob Interface | com.db4o.types Namespace